﻿// Copyright © Pixel Crushers. All rights reserved.

using UnityEngine;
using UnityEditor;

namespace PixelCrushers.QuestMachine.ORKSupport
{

    [CustomEditor(typeof(ORKFaction), true)]
    public class ORKFactionEditor : Editor
    {

        public override void OnInspectorGUI()
        {
            EditorGUILayout.HelpBox("This asset presents an ORK Framework faction to Quest Machine's procedural quest generator. This allows you to " +
                "define and manage factions in ORK Framework. Specify the name of faction as defined in ORK Framework.", MessageType.None);
            serializedObject.Update();
            EditorGUILayout.PropertyField(serializedObject.FindProperty("m_ORKFactionName"));
            serializedObject.ApplyModifiedProperties();
        }

    }

}