﻿// Copyright © Pixel Crushers. All rights reserved.

using UnityEngine;
using UnityEditor;

namespace PixelCrushers.QuestMachine.ORKSupport
{

    [CustomEditor(typeof(ORKVariableQuestCondition), true)]
    public class ORKVariableQuestConditionEditor : Editor
    {

        public override void OnInspectorGUI()
        {
            EditorGUILayout.HelpBox("Checks an ORK variable.", MessageType.None);
            serializedObject.Update();
            var globalVariableProperty = serializedObject.FindProperty("m_globalVariable");
            EditorGUILayout.PropertyField(globalVariableProperty);
            if (!globalVariableProperty.boolValue)
            {
                EditorGUILayout.PropertyField(serializedObject.FindProperty("m_objectID"));
            }
            EditorGUILayout.PropertyField(serializedObject.FindProperty("m_key"));
            var variableTypeProperty = serializedObject.FindProperty("m_variableType");
            EditorGUILayout.PropertyField(variableTypeProperty);
            if (variableTypeProperty.enumValueIndex == (int)ORKUtilityVariableType.Bool)
            {
                EditorGUILayout.PropertyField(serializedObject.FindProperty("m_requiredBoolValue"));
            }
            else if (variableTypeProperty.enumValueIndex == (int)ORKUtilityVariableType.Int)
            {
                EditorGUILayout.PropertyField(serializedObject.FindProperty("m_criterion"));
                EditorGUILayout.PropertyField(serializedObject.FindProperty("m_requiredIntValue"));
            }
            serializedObject.ApplyModifiedProperties();
        }

    }

}