﻿// Copyright © Pixel Crushers. All rights reserved.

using UnityEngine;

namespace PixelCrushers.QuestMachine.ORKSupport
{

    /// <summary>
    /// Quest Machine faction wrapper that uses ORK faction sympathies.
    /// </summary>
    [CreateAssetMenu(menuName = "Pixel Crushers/Quest Machine/Generator/ORK/ORK Faction")]
    public class ORKFaction : Faction
    {

        [SerializeField]
        private StringField m_ORKFactionName = new StringField();

        public StringField orkFactionName
        {
            get { return m_ORKFactionName; }
            set { m_ORKFactionName = value; }
        }

        public override float GetAffinity(Faction other)
        {
            if (other is ORKFaction)
            {
                var myFactionName = StringField.GetStringValue(orkFactionName);
                var otherFactionName = StringField.GetStringValue((other as ORKFaction).orkFactionName);
                var sympathy = ORKUtility.ORKGetFactionSympathy(myFactionName, otherFactionName);
                return sympathy;
            }
            else
            {
                return base.GetAffinity(other);
            }
        }

    }
}
