﻿using UnityEngine;
using PixelCrushers.QuestMachine;

namespace ORKFramework.Events.Steps
{

    /// <summary>
    /// ORK event to start dialogue with a quest giver and the player.
    /// </summary>
    [ORKEditorHelp("Show Alert", "Shows an alert through Quest Machine's alert UI.", "")]
    [ORKEventStep(typeof(BaseEvent))]
    [ORKNodeInfo("Quest Machine/UI")]
    public class ShowQMAlertStep : BaseEventStep
    {

        [ORKEditorHelp("Alert Text", "Text to show in the alert UI.", "")]
        [ORKEditorInfo(labelText = "Alert Text")]
        public StringValue alertText = new StringValue();

        public override void Execute(BaseEvent baseEvent)
        {
            QuestMachine.defaultQuestAlertUI.ShowAlert(alertText.GetValue());
            baseEvent.StepFinished(this.next);
        }

        public override string GetNodeDetails()
        {
            return alertText.value;
        }

    }
}
