﻿// Copyright © Pixel Crushers. All rights reserved.

using UnityEngine;
using ORKFramework;

namespace PixelCrushers.QuestMachine.ORKSupport
{

    /// <summary>
    /// Base class for quest actions that act on a combatant.
    /// </summary>
    public abstract class ORKCombatantQuestAction : QuestAction
    {

        [SerializeField]
        private bool m_usePlayer = true;

        [SerializeField]
        private StringField m_combatantName = new StringField();

        public bool usePlayer
        {
            get { return m_usePlayer || StringField.IsNullOrEmpty(combatantName); }
            set { m_usePlayer = value; }
        }

        public StringField combatantName
        {
            get { return m_combatantName; }
            set { m_combatantName = value; }
        }

        private Combatant m_combatant = null;
        protected Combatant combatant
        {
            get
            {
                if (m_combatant == null) m_combatant = (usePlayer || StringField.IsNullOrEmpty(combatantName)) ? ORK.Game.ActiveGroup.Leader : ORKUtility.GetCombatant(StringField.GetStringValue(combatantName));
                return m_combatant;
            }
        }

        protected string runtimeCombatantName { get { return usePlayer ? "player" : StringField.GetStringValue(combatantName); } }

    }

}
